## Index

### Functions

- createNewProperty
- initOrUpdateProperty

## Functions

### createNewProperty

- createNewProperty(propertyOptions?: Partial<PropertyMetadata<any, Attribute>>, target: any, propertyKey: string): PropertyMetadata<any>

- - Defined in decorator/impl/property/init-or-update-property.function.ts:31

  #### Parameters

  - ##### Default value propertyOptions: Partial<PropertyMetadata<any, Attribute>> = {}

  - ##### target: any

  - ##### propertyKey: string

  #### Returns PropertyMetadata<any>

### initOrUpdateProperty

- initOrUpdateProperty(propertyMetadata?: Partial<PropertyMetadata<any, Attribute>>, target: any, propertyKey: string): void

- - Defined in decorator/impl/property/init-or-update-property.function.ts:7

  #### Parameters

  - ##### Default value propertyMetadata: Partial<PropertyMetadata<any, Attribute>> = {}

  - ##### target: any

  - ##### propertyKey: string

  #### Returns void

Generated using TypeDoc